package com.ywt.outpatient.api.resp;

import java.util.Objects;

/**
 * @author Walker
 * Created on 2021/10/28
 */
public class GetSubSpecialityResp {
    private String serviceName;
    private String serviceCode;
    private String avatar;

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getServiceCode() {
        return serviceCode;
    }

    public void setServiceCode(String serviceCode) {
        this.serviceCode = serviceCode;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    @Override
    public int hashCode() {
        return serviceName.hashCode();
    }

    @Override
    public boolean equals(Object obj) {
        if (!(obj instanceof GetSubSpecialityResp)) return false;
        GetSubSpecialityResp r = (GetSubSpecialityResp) obj;
        return Objects.equals(this.serviceName, r.serviceName);
    }
}
